Name:           generatorrunner
Version:        0.6.16
Release:        17%{?dist}
Summary:        Plugin-based application to run apiextractor-based generators

License:        GPLv2
URL:            http://www.pyside.org
Source0:        http://www.pyside.org/files/generatorrunner-%{version}.tar.bz2

# docs fails to build with Sphinx 1.2
# https://bugreports.qt-project.org/browse/PYSIDE-221
Patch0:         generatorrunner-0.6.16-remove-sphinx-refcounting.patch

BuildRequires:  cmake gcc-c++
BuildRequires:  apiextractor-devel
BuildRequires:  python3-sphinx
BuildRequires:  qt4-devel

%description
The Binding Generator is a utility that parses the headers for a given C/C++
library, generates a model and modifies it based on XML files (called type
system files) containing complementary semantic information, modifications,
renamings, etc, in order to generate binding source code (or documentation) for
the target language for which it was written.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       cmake

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1


%build
mkdir -p %{_target_platform} && pushd %{_target_platform}
%cmake ..
popd

make %{?_smp_mflags} -C %{_target_platform}

# Build html docs
make %{?_smp_mflags} -C %{_target_platform} doc
rm -f %{_target_platform}/doc/html/_static/images/._*
rm -f %{_target_platform}/doc/html/.buildinfo
rm -f %{_target_platform}/doc/html/objects.inv
rm -rf %{_target_platform}/doc/html/.doctrees


%install
%make_install -C %{_target_platform}


%check
make test -C %{_target_platform}


%ldconfig_scriptlets


%files
%doc AUTHORS ChangeLog
%license COPYING
%{_bindir}/docgenerator
%{_bindir}/generatorrunner
%{_libdir}/generatorrunner/
%{_libdir}/libgenrunner.so.*
%{_mandir}/man1/docgenerator.1*
%{_mandir}/man1/generatorrunner.1*

%files devel
%doc %{_target_platform}/doc/html/
%{_includedir}/generatorrunner/
%{_libdir}/libgenrunner.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/GeneratorRunner-%{version}/


%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.16-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.16-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.16-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Aug 07 2017 Björn Esser <besser82@fedoraproject.org> - 0.6.16-14
- Rebuilt for AutoReq cmake-filesystem

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.16-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.16-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.16-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.16-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.16-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.6.16-8
- Rebuilt for GCC 5 C++11 ABI change

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.16-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jun 10 2014 Jaroslav Reznik <jreznik@redhat.com> - 0.6.16-6
- Remove Sphinx refcounting extension

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.16-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.16-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 27 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 21 2012 Kalev Lember <kalevlember@gmail.com> - 0.6.16-1
- Update to 0.6.16

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 26 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.14-2
- Rebuilt for glibc bug#747377

* Fri Oct 21 2011 Kalev Lember <kalevlember@gmail.com> - 0.6.14-1
- Update to 0.6.14

* Thu Aug 25 2011 Kalev Lember <kalevlember@gmail.com> - 0.6.12-1
- Update to 0.6.12

* Thu Jun 23 2011 Kalev Lember <kalev@smartlink.ee> - 0.6.11-1
- Update to 0.6.11
- Cleaned up the spec file for modern rpmbuild

* Fri May 27 2011 Kalev Lember <kalev@smartlink.ee> - 0.6.10-1
- Update to 0.6.10

* Sun May 01 2011 Kalev Lember <kalev@smartlink.ee> - 0.6.9-1
- Update to 0.6.9

* Sun Apr 03 2011 Kalev Lember <kalev@smartlink.ee> - 0.6.8-1
- Update to 0.6.8

* Thu Mar 03 2011 Kalev Lember <kalev@smartlink.ee> - 0.6.7-1
- Update to 0.6.7

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 22 2011 Kalev Lember <kalev@smartlink.ee> - 0.6.4-1
- Update to 0.6.4

* Sat Nov 27 2010 Kalev Lember <kalev@smartlink.ee> - 0.6.3-2
- Removed spurious objects.inv file from html docs

* Fri Nov 26 2010 Kalev Lember <kalev@smartlink.ee> - 0.6.3-1
- Update to 0.6.3

* Thu Oct 14 2010 Kalev Lember <kalev@smartlink.ee> - 0.6.2-1
- Update to 0.6.2

* Wed Sep 29 2010 jkeating - 0.6.1-2
- Rebuilt for gcc bug 634757

* Sat Sep 11 2010 Kalev Lember <kalev@smartlink.ee> - 0.6.1-1
- Update to 0.6.1

* Wed Aug 04 2010 Kalev Lember <kalev@smartlink.ee> - 0.6.0-1
- Update to 0.6.0

* Mon Jun 21 2010 Kalev Lember <kalev@smartlink.ee> - 0.5.0-2
- Build html documentation and ship it in -devel subpackage
- Use Development/Tools for main package

* Wed Jun 16 2010 Kalev Lember <kalev@smartlink.ee> - 0.5.0-1
- Initial RPM release
